
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

It seems that on some OldWolrd macs, we don't get the OF stdout device,
thus the new set_preferred_console() dies at boot trying to dereference a
NULL pointer.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/setup.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN arch/ppc/kernel/setup.c~ppc32-fix-booting-on-some-oldwolrd-macs arch/ppc/kernel/setup.c
--- 25/arch/ppc/kernel/setup.c~ppc32-fix-booting-on-some-oldwolrd-macs	Wed Aug 18 17:46:19 2004
+++ 25-akpm/arch/ppc/kernel/setup.c	Wed Aug 18 17:46:19 2004
@@ -484,6 +484,9 @@ static int __init set_preferred_console(
 	char *name;
 	int offset;
 
+	if (of_stdout_device == NULL)
+		return -ENODEV;
+
 	/* The user has requested a console so this is already set up. */
 	if (strstr(saved_command_line, "console="))
 		return -EBUSY;
_
